/*
 *
 * @APPLE_LICENSE_HEADER_START@
 *
 * Copyright (c) 1999-2001 Apple Computer, Inc.  All Rights Reserved. The
 * contents of this file constitute Original Code as defined in and are
 * subject to the Apple Public Source License Version 1.2 (the 'License').
 * You may not use this file except in compliance with the License.  Please
 * obtain a copy of the License at http://www.apple.com/publicsource and
 * read it before using this file.
 *
 * This Original Code and all software distributed under the License are
 * distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
 * EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES,
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.  Please
 * see the License for the specific language governing rights and
 * limitations under the License.
 *
 *
 * @APPLE_LICENSE_HEADER_END@
 *
 */
/*
	File:		IncomingRTCPSRPacket.h

	Contains:	A class that parses a RTCP Sender Report
				
	Change History (most recent first):

	
*/

#ifndef _RTCPAPPPACKET_H_
#define _RTCPAPPPACKET_H_

#include "RTCPPacket.h"

class IncomingRTCPSRPacket : public RTCPPacket
{
	public:

		IncomingRTCPSRPacket();
		virtual ~IncomingRTCPSRPacket() {}

		//Call this before any accessor method. Returns true if successful, false otherwise
		Bool16 ParseSRPacket(UInt8* inPacketBuffer, UInt32 inPacketLength);
	
		inline SInt64 GetNTPTimestamp();
		inline UInt32 GetRTPTimestamp();
		inline UInt32 GetPacketCount();
		inline UInt32 GetByteCount();
				
};